<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPropertySeqOpFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPropertySeqOpFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPropertySeqOpFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the seqop that transforms property class properties.  
 <a href="structiPropertySeqOpFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sequences_8h_source.html">tools/sequences.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPropertySeqOpFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPropertySeqOpFactory.png" usemap="#iPropertySeqOpFactory_map" alt=""/>
  <map id="iPropertySeqOpFactory_map" name="iPropertySeqOpFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,146,24"/>
</map>
 </div></div>

<p><a href="structiPropertySeqOpFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#ab233470dfe479162c7b220da81725dd1">SetEntityParameter</a> (const char *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the entity containing the property (either entity name or a parameter if it starts with '$').  <a href="#ab233470dfe479162c7b220da81725dd1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#a1dfb2fde25194b4f70f1a61264d60197">SetFloatParameter</a> (const char *pfloat)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the end value for the property as a float.  <a href="#a1dfb2fde25194b4f70f1a61264d60197"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#ae17c50494a243cc9594c223c6206d0d2">SetLongParameter</a> (const char *plong)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the end value for the property as a long.  <a href="#ae17c50494a243cc9594c223c6206d0d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#a2191e0aabbaa1605b84c75e664757e18">SetPCParameter</a> (const char *pc, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the property class and tag to search for.  <a href="#a2191e0aabbaa1605b84c75e664757e18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#adc97130a002e3505e29046d8afe90003">SetPropertyParameter</a> (const char *property_name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the property name for this sequence.  <a href="#adc97130a002e3505e29046d8afe90003"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#a405e300a1defd7d06c062c5263252ecc">SetRelative</a> (bool is_relative)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set whether the sequence will be relative: (end value = specified value + starting value) or absolute.  <a href="#a405e300a1defd7d06c062c5263252ecc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#a89aed2b392f2ddea578c8496b22f7f23">SetVector2Parameter</a> (const char *vectorx, const char *vectory)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the end value for the property as a vector2.  <a href="#a89aed2b392f2ddea578c8496b22f7f23"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPropertySeqOpFactory.html#ac1f29029cc994e5a398f399cd6e54f74">SetVector3Parameter</a> (const char *vectorx, const char *vectory, const char *vectorz)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the end value for the property as a vector3.  <a href="#ac1f29029cc994e5a398f399cd6e54f74"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the seqop that transforms property class properties. </p>
<p>Assuming it is read and write, and of the appropriate type any property can be controlled using this sequence.</p>
<p>You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this seqop type is 'cel.seqops.property'.</p>
<p>In XML, factories recognize the following attributes on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity containing the affected property class.</li>
<li><em>pc</em>: name for the property class holding the property.</li>
<li><em>tag</em>: optional tag used to find the right property class from the entity.</li>
<li><em>relative</em>: whether the sequence is relative (default false).</li>
<li><em>float</em>: optional end value as a float.</li>
<li><em>long</em>: optional end value as an integer. And the following sub nodes:</li>
<li><em>v</em>: optional end value as a vector. This node has 'x', 'y, and (optionally for vector3) 'z' attributes.</li>
</ul>
<p>Note you must only provide one of 'v', 'float' and 'long' parameters to the sequence, otherwise the result will be undefined. Also, the parameter must fit the actual property type. </p>

<p>Definition at line <a class="el" href="sequences_8h_source.html#l00374">374</a> of file <a class="el" href="sequences_8h_source.html">sequences.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab233470dfe479162c7b220da81725dd1"></a><!-- doxytag: member="iPropertySeqOpFactory::SetEntityParameter" ref="ab233470dfe479162c7b220da81725dd1" args="(const char *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#ab233470dfe479162c7b220da81725dd1">iPropertySeqOpFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the entity containing the property (either entity name or a parameter if it starts with '$'). </p>

</div>
</div>
<a class="anchor" id="a1dfb2fde25194b4f70f1a61264d60197"></a><!-- doxytag: member="iPropertySeqOpFactory::SetFloatParameter" ref="a1dfb2fde25194b4f70f1a61264d60197" args="(const char *pfloat)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#a1dfb2fde25194b4f70f1a61264d60197">iPropertySeqOpFactory::SetFloatParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pfloat</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the end value for the property as a float. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pfloat</td><td>is the value to be set. It can also be a parameter if it starts with '$'. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae17c50494a243cc9594c223c6206d0d2"></a><!-- doxytag: member="iPropertySeqOpFactory::SetLongParameter" ref="ae17c50494a243cc9594c223c6206d0d2" args="(const char *plong)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#ae17c50494a243cc9594c223c6206d0d2">iPropertySeqOpFactory::SetLongParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>plong</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the end value for the property as a long. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">plong</td><td>is the value to be set. It can also be a parameter if it starts with '$'. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2191e0aabbaa1605b84c75e664757e18"></a><!-- doxytag: member="iPropertySeqOpFactory::SetPCParameter" ref="a2191e0aabbaa1605b84c75e664757e18" args="(const char *pc, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#a2191e0aabbaa1605b84c75e664757e18">iPropertySeqOpFactory::SetPCParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the property class and tag to search for. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pc</td><td>is the property class name or a parameter (starts with a '$'). </td></tr>
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adc97130a002e3505e29046d8afe90003"></a><!-- doxytag: member="iPropertySeqOpFactory::SetPropertyParameter" ref="adc97130a002e3505e29046d8afe90003" args="(const char *property_name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#adc97130a002e3505e29046d8afe90003">iPropertySeqOpFactory::SetPropertyParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>property_name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the property name for this sequence. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">property_name</td><td>is the property name (like cel.property.gravity). It can also be a parameter if it starts with '$'. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a405e300a1defd7d06c062c5263252ecc"></a><!-- doxytag: member="iPropertySeqOpFactory::SetRelative" ref="a405e300a1defd7d06c062c5263252ecc" args="(bool is_relative)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#a405e300a1defd7d06c062c5263252ecc">iPropertySeqOpFactory::SetRelative</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>is_relative</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set whether the sequence will be relative: (end value = specified value + starting value) or absolute. </p>
<p>(end value = specified value) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">is_relative</td><td>whether the sequence is relative. can't be a parameter. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a89aed2b392f2ddea578c8496b22f7f23"></a><!-- doxytag: member="iPropertySeqOpFactory::SetVector2Parameter" ref="a89aed2b392f2ddea578c8496b22f7f23" args="(const char *vectorx, const char *vectory)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#a89aed2b392f2ddea578c8496b22f7f23">iPropertySeqOpFactory::SetVector2Parameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectorx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectory</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the end value for the property as a vector2. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pvectorx</td><td>is the x component for the vector. </td></tr>
    <tr><td class="paramname">pvectory</td><td>is the y component for the vector. Both pvectorx and pvectory can be parameters if they start with '$'. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac1f29029cc994e5a398f399cd6e54f74"></a><!-- doxytag: member="iPropertySeqOpFactory::SetVector3Parameter" ref="ac1f29029cc994e5a398f399cd6e54f74" args="(const char *vectorx, const char *vectory, const char *vectorz)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPropertySeqOpFactory.html#ac1f29029cc994e5a398f399cd6e54f74">iPropertySeqOpFactory::SetVector3Parameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectorx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectorz</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the end value for the property as a vector3. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pvectorx</td><td>is the x component for the vector. </td></tr>
    <tr><td class="paramname">pvectory</td><td>is the y component for the vector. </td></tr>
    <tr><td class="paramname">pvectorz</td><td>is the z component for the vector. Both pvectorx, pvectory and pvectorz can be a parameters if they start with '$'. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="sequences_8h_source.html">sequences.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
